# Blockchain 区块链 - 中文资源阅读列表

[Hyperledger Fabric v1.0.5 官方文档的简体中文翻译版本](https://github.com/LiuBoyu/hyperledger-fabric-docs-zh_CN)，翻译工作正在火热进行中，欢迎加入。

Email: boyu.liu@gmail.com

----------------

## 新手入门

### 入门书籍

* [<<区块链技术指南>>](https://yeasy.gitbooks.io/blockchain_guide/content)
* [<<精通比特币>>](http://book.8btc.com/books/1/master_bitcoin/_book) - 强烈推荐

### 行业报告

* [<<高盛区块链报告：区块链·从理论走向实践>>](http://book.8btc.com/books/1/gaosheng_blockchain_report/_book)
* [<<区块链重构金融？>>](http://book.8btc.com/books/6/thfr201704/_book)

### 理论基础

* [区块链理论学习入门指南](https://daimajia.com/2017/08/24/how-to-start-blockchain-learning)
* [对去中心化含义的深层思考：究竟是谁控制着区块链？](http://www.8btc.com/who-controls-blockchain)
* [比原链联合创始人段新星：希望建立起连接比特世界和原子世界资产交互的桥梁](http://www.8btc.com/bytom-duanxinxing)

### 相关文章

* [R3 Corda：一个为金融服务设计的分布式账本系统](http://ethfans.org/posts/r3-corda-announcement) / [Introducing R3 Corda™: A Distributed Ledger Designed for Financial Services](http://www.r3cev.com/blog/2016/4/4/introducing-r3-corda-a-distributed-ledger-designed-for-financial-services) - 推荐(虽然并不完全认同其观点，但他的思考方式非常值得借鉴)

### 相关社区

* [巴比特](http://www.8btc.com/)
* [Ethfans](http://ethfans.org/)

### 相关公司

* [国内外区块链项目/联盟汇总](http://www.jianshu.com/p/00e17ee7c646)

----------------

## 基础知识

### Merkle Tree - 梅克尔树 (Bitcoin)

* [Merkle Tree 学习](http://www.cnblogs.com/fengzhiwu/p/5524324.html)
* [谈谈以太坊的Merkle树](http://www.8btc.com/merkling-in-ethereum) / [Merkling in Ethereum](https://blog.ethereum.org/2015/11/15/merkling-in-ethereum) - Vitalik Buterin

### Merkle Patricia Tree - 梅克尔帕特里夏树 (Ethereum)

* [Understanding the Ethereum Trie](https://easythereentropy.wordpress.com/2014/06/04/understanding-the-ethereum-trie) - Ethereum 推荐
* [Ethereum Patricia Tree](https://github.com/ethereum/wiki/wiki/Patricia-Tree) - Ethereum Wiki
>
* [深入浅出以太坊MPT (Merkle Patricia Tree) ](http://blog.csdn.net/qq_33935254/article/details/55505472)
* [Merkle Patricia Tree (MPT) 以太坊merkle技术分析](http://blog.csdn.net/zslomo/article/details/53434883?t=1498537389197)
* [Merkle Patricia Tree (MPT) 详解](http://www.cnblogs.com/fengzhiwu/p/5584809.html)
>
* [Ethereum RLP](https://github.com/ethereum/wiki/wiki/%5B%E4%B8%AD%E6%96%87%5D-RLP) - Ethereum Wiki
* [RLP编码原理](https://my.oschina.net/u/2349981/blog/894117)

### 共识机制

* [共识算法（POW,POS,DPOS,PBFT）介绍和心得](http://blog.csdn.net/lsttoy/article/details/61624287)
* [掰一掰区块链共识机制与分布式一致性算法](https://yq.aliyun.com/articles/60400)
* [什么是区块链共识？](http://8btc.com/article-2238-1.html)
* [区块链共识机制浅谈](http://blog.csdn.net/jeffrey__zhou/article/details/56672948)
* [区块链共识机制有哪些？](https://www.zhihu.com/question/53385152)
>
* [微信PaxosStore：深入浅出Paxos算法协议](http://www.infoq.com/cn/articles/wechat-paxosstore-paxos-algorithm-protocol)
* [Raft 一致性算法论文译文](http://www.infoq.com/cn/articles/raft-paper)
>
* [POS白皮书：基于权益证明的交易](https://yq.aliyun.com/articles/60400)
* [深度解析POS和POW的区别](http://8btc.com/article-1882-1.html)
>
* [DPOS——回归中本聪](http://www.8btc.com/dpos-back-to-satoshi)
* [信息图：股份授权证明机制（DPOS）](http://www.8btc.com/dpossha)
* [DPOS共识算法 -- 缺失的白皮书](https://steemit.com/dpos/@legendx/dpos)
* [DPOS委托权益证明 vs POW工作量证明](https://zhuanlan.zhihu.com/p/28127511)
>
* [相比POS和DPOS，POW更有利于区块链原生代币的价格稳定吗？](https://www.zhihu.com/question/49995385)

### 密码学
### 博弈论

### 隐私保护

#### 零知识证明 - Zero-Knowledge Proof

* [阿里巴巴的零知识证明](http://songshuhui.net/archives/36968)

### 交易性能
### 跨链技术

### 智能合约

----------------

## Blockchain v1.0 - Bitcoin

* [比特币白皮书：一种点对点的电子现金系统](http://www.8btc.com/wiki/bitcoin-a-peer-to-peer-electronic-cash-system)
* [其实并没有什么比特币，只有 UTXO](http://8btc.com/article-4381-1.html)
* [区块链核心技术演进之路－算法演进](http://www.8btc.com/blockchain-tech-algorithm) - 强烈推荐
* [区块链核心技术演进之路－挖矿演进](http://www.8btc.com/blockchain-tech-mining) - 强烈推荐
* [区块链核心技术演进之路-共识机制演进(1)](http://www.8btc.com/blockchain-tech-consensus-mechanism) - 强烈推荐

### [Bitcoin Core - BTC](https://bitcoin.org/) - (Bitcoin - 交易性能: SegWit), [github](https://github.com/bitcoin/bitcoin)

* [隔离见证学习笔记](http://www.8btc.com/tan90d34)
* [通往SegWit的漫长之路：比特币最大的协议升级是如何成为现实的](http://www.8btc.com/segwit-0829) - 推荐(关于SegWit的前生今世)

### [Bitcoin Cash - BCC](https://bitcoincash.org/) - (Bitcoin - 交易性能: 扩容8M), [github](https://github.com/Bitcoin-ABC/bitcoin-abc)

* [如何看待新虚拟货币Bitcoin Cash（BCC）？](https://www.zhihu.com/question/63109943)

### [Zcash - ZEC](https://z.cash/) - (Bitcoin - 隐私保护: 零知识证明), [github](https://github.com/zcash/zcash)

* [给Zcash泼泼冷水-有了深黑，市场真的需要纯黑吗？](http://8btc.com/thread-41384-1-1.html) - 推荐
* [不是程序员也能看懂的ZCash零知识证明](http://www.sohu.com/a/121847942_475384)

### Zcoin
### Dash
### Monero

----------------

## Blockchain v1.0 - 跨链技术(侧链)

* [区块链的跨链技术介绍完整版](http://blog.csdn.net/elwingao/article/details/53410750)
* [比原链设计思考：侧链存在的价值](http://www.8btc.com/bytom-sidechain)
* [谈一谈：侧链、驱动链和Rootstock双向挂钩设计](http://www.8btc.com/sidechains-drivechains-and-rsk-2-way-peg-design)

### [Sidechains](https://blockstream.com/technology/) - (Bitcoin侧链: 楔入式侧链 - Pegged Sidechains, 闪电网络 - Lightning Network)

* [侧链白皮书：用楔入式侧链实现区块链的创新](http://www.8btc.com/enabling-blockchain-innovations-with-pegged-sidechains-abstract-introduction)
>
* [比特币闪电网络白皮书：可扩展的off-chain 即时支付（中文）](http://view.xiaomiquan.com/view/59a3e22d2540ed222c6075b8)
* [详解最近大热的闪电网络、雷电网络和CORDA](http://www.8btc.com/ln-rn-corda)

### [Rootstock - RSK(根链)](http://www.rsk.co/) - (Bitcoin侧链: 智能合约)

* [根链（Rootstock）是什么？](http://www.8btc.com/tan90d88)
* [根链平台(RootStock)——基于比特币驱动的智能合约白皮书](http://www.8btc.com/tan90d84)
* [BTC-Relay与RootStock侧链技术对比](http://www.8btc.com/btc-relay-and-rootstock)

### [BTC Relay](http://btcrelay.org/) - (Ethereum侧链: 跨链 -> Bitcoin)

### [Polkadot]()
### [Cosmos]()

----------------

## Blockchain v1.X - 去中心化存储

### [IPFS](https://ipfs.io/)

* [白皮书·中文](https://gguoss.github.io/2017/05/28/ipfs/)
* [白皮书·英文](https://github.com/ipfs/papers/raw/master/ipfs-cap2pfs/ipfs-p2p-file-system.pdf)

### [Filecoin](http://filecoin.io/)

* [白皮书·中文](http://chainx.org/paper/index/index/id/13.html)
* [白皮书·英文](https://filecoin.io/filecoin.pdf)

### [BigchainDB](https://www.bigchaindb.com/)

* [白皮书·中文](http://blog.csdn.net/fengqing79/article/details/70154076)
* [白皮书·英文](https://www.bigchaindb.com/whitepaper/)

----------------

## Blockchain v1.X - 二代币

* [梦一直跑，我开始追](http://www.8btc.com/dream-on)
* [二代币是”富二代”还是”穷二代”？](http://www.8btc.com/edb)
* [给新手：区块链资产的分类与价值判断](https://zhuanlan.zhihu.com/p/27415529)

### [Ripple - (瑞波)]()
### [NXT - (未来币)]()

### [BitShares - (比特股)](https://bitshares.org/) - (共识机制: DPOS, 去中心化: DAC), [github](https://github.com/BitShares)

* [白皮书·中文](http://www.8btc.com/bitshares-white-pape)

### [Cryptonomex - (石墨烯)](https://cryptonomex.com/) - (BitShares v2.0 底层框架), [github](http://github.com/cryptonomex)

* [区块链公司Cryptonomex创始人谈公司发展状况](http://www.8btc.com/cryptonomex-dan-larimer)

----------------

## Blockchain v1.X - Dapps

### [Steem](https://steem.io/) - 推荐(非常典型的区块链应用项目 - [steemit](https://steemit.com/)), [github](http://github.com/steemit)

* [白皮书·中文](https://biweilai.com/tag/steem)
* [白皮书·英文](https://steem.io/SteemWhitePaper.pdf)

### [YOYOW](https://yoyow.org/) - 推荐(Steem的中文克隆)

* [白皮书·中文](https://yoyow.org/files/white-paper2.pdf)
* [一个基于区块链的UGC平台，他们想用“脑力挖矿”让作者得到合理的回报](http://www.jianshu.com/p/e044e51e06bb)

----------------

## Blockchain v2.0 - Ethereum

### [Ethereum - ETH](https://ethereum.org/) - (v2.0 - 智能合约), [github](https://github.com/ethereum/go-ethereum)

* ETH - Ethereum, 以太坊
* ETC - Ethereum Classic, 以太坊原链
>
* [以太坊白皮书](https://github.com/ethereum/wiki/blob/master/%5B%E4%B8%AD%E6%96%87%5D-%E4%BB%A5%E5%A4%AA%E5%9D%8A%E7%99%BD%E7%9A%AE%E4%B9%A6.md) / [Ethereum White Paper](https://github.com/ethereum/wiki/wiki/White-Paper) - Ethereum Wiki
* [以太坊官网文档中文版](http://book.8btc.com/books/6/ethereum/_book)
>
* [Teahour 以太坊专访-文字版](http://ethfans.org/shaoping/articles/talk-with-jan-about-ehtereum) - 强烈推荐
* [智能合约](http://ethfans.org/wikis/%E6%99%BA%E8%83%BD%E5%90%88%E7%BA%A6)
* [以太坊开发计划](http://ethfans.org/wikis/%E4%BB%A5%E5%A4%AA%E5%9D%8A%E5%BC%80%E5%8F%91%E8%AE%A1%E5%88%92)
>
* [实现这些扩容方案，以太坊将可支持10亿用户](http://www.8btc.com/scaling-ethereum-to-billions-of-users)

### 智能合约

* [以太坊开发入门](http://me.tryblockchain.org/getting-up-to-speed-on-ethereum.html)
* [Solidity 官方文档中文版](http://wiki.jikexueyuan.com/project/solidity-zh/)
* [区块链技术-智能合约-以太坊（译文）](http://ethfans.org/posts/block-chain-technology-smart-contracts-and-ethereum) - 简单易懂的例子“智能赞助”

### Dapps

* [谈谈区块链（15）：盘点以太坊十大应用](http://www.8btc.com/ethereum-top-10-app)

#### The DAO (Ethereum) - 去中心化的自治组织, Decentralized Autonomous Organization

* [道or悼？三分钟看懂史上最逆天的区块链众筹项目The DAO](http://www.8btc.com/what-is-the-dao)
* [理解The DAO为什么属于证券的最简单方法](http://www.jinse.com/news/blockchain/50751.html)
* [从“脱欧”与“惊世DAO窃”谈区块链——论共识、分叉、去中心化与安全](http://www.8btc.com/brexit-and-the-dao)

#### Swarm
#### Whisper
#### [BTC Relay](http://btcrelay.org/)
#### Oraclize

----------------

## Blockchain v2.0 - Others

### [EOS](https://eos.io/) - [github](https://github.com/eosio)

* [EOS正式版技术白皮书（中文）](http://www.jianshu.com/p/f65bf7691482)
* [解读《EOS.IO技术白皮书》](http://www.jianshu.com/p/bc489db794ce)
>
* [深入浅出eos vs 以太坊](http://www.jianshu.com/p/1afec85afd3c)

### NEO
### Qtum

----------------

## Blockchain - DAG

* [DAG与区块链简介](http://www.qukuaiwang.com.cn/news/1913.html)
* [IOTA快速入门简介](https://steemit.com/cn/@niking/iota)

### [IOTA](https://iota.org/) - (DAG)

* [白皮书·中文](http://www.iotachina.com/wp-content/uploads/2016/11/2016112902003453.pdf)
* [白皮书·英文](https://iota.org/IOTA_Whitepaper.pdf)

### [Byteball](https://byteball.org/) - (DAG)

* [白皮书·中文] [一](http://www.bitett.com/portal.php?mod=view&aid=438), [二](http://www.bitett.com/portal.php?mod=view&aid=453), [三](https://bitcointalk.org/index.php?topic=1840404)
* [白皮书·英文](https://byteball.org/Byteball.pdf)

### [EP-CHAIN 环净链](https://ep-chain.org/) - (DAG), 国内ICO项目
* [白皮书·中文](https://ep-chain.org/download/EPC_v1.00.pdf) - 白皮书内有关于IOTA和Byteball的原理说明

### [Nerthus 纳尔图](http://www.nerthus.io/) - (DAG), 国内ICO项目
* [白皮书·中文](http://www.nerthus.io/static/downfile/NerthusWhitePage.pdf) - 白皮书内有关于IOTA和Byteball的原理说明

### [AskCoin](https://askcoin.org/) - (DAG), 国内ICO项目
* [白皮书·中文](https://askcoin.org/askcoin_white_paper_cn.pdf) - 白皮书内有关于IOTA和Byteball的原理说明

----------------

## 区块链架构技术

    区块链作为一个整体被重构成包含四层程序栈的组件:

    1. 应用程序
    2. 去中心化计算平台（“区块链平台”）
    3. 去中心化处理（“智能合约”）, 去中心化存储（文件系统，数据库）, 以及去中心化通信
    4. 密码原语，一致性协议，和其他算法

* [区块链底层架构概览：第一原则框架](http://ethfans.org/posts/blockchain-infrastructure-landscape-a-first-principles) - 推荐
* [区块链主流开源技术体系介绍](http://www.8btc.com/elwingao-blockchain-6) - 推荐
* [小蚁张铮文：写给CTO的主流区块链架构横向剖析](http://www.8btc.com/blockchain-architecture)

----------------

## 常用术语

* 共识机制 - Consensus
* 拜占庭将军问题 - Byzantine Generals Problem
* 拜占庭容错 - Byzantine Fault-Tolerant, BFT
* 纳什均衡 -
* 双花攻击/双重支付攻击 - Double-Spend Attack
>
* SPV - 简单支付验证
* POW - 工作量证明, Proof-Of-Work, 挖矿 (mine)
* POS - 权益证明, Proof-of-Stake, 铸造 (mint)
* NXT - 锻造 (forge)
* DPOS - 股权证明, Delegated Proof-Of-Stake
* PBFT - Hyperledger Fabric
* DBFT - 小蚁
* PAXOS - 传统分布式一致性算法
* RAFT - 传统分布式一致性算法
* DMMS - Dynamic Membership Multiparty Signatures
>
* SHA256 - bitcoin
* SCRYPT - litecoin
* HEFTY1
* ETHASH - ethereum
* EQUIHASH - zcash
>
* Merkle Tree - 梅克尔树
* Merkle Root
* Merkle Patricia Tree - 梅克尔帕特里夏树
>
* getwork
* getblocktemplate
* stratum
>
* Auxiliary Proof-of-Work - AuxPOW
* Auxiliary Blockchain

----------------

## Bitcoin网络协议

* version
* verack
* addr
* getaddr
* getblocks           本地区块链的顶端区块哈希值
* inv                 补充区块的哈希值
* getdata             请求得到全区块信息
* getheaders
* headers
* filterload
* filteradd
* filterclear

