## 去中心化(Decentralization) ##

  > _**备注**: 此章节最后更新于2017.11.21。_

### 什么是去中心化 ###

* 结构中心化: 淘宝 & 京东 vs BitTorrent & Blockchain
  > 评论: 挖矿的高度集中化，导致结构中心化的趋势
* 政治中心化: 集权制度 ( 传统企业 ) vs 民主制度 ( 代议民主 & 直接民主 )
  > 评论: 开发者，基金会，矿场主的代议民主制度，但并非民主选举产生，更像是上议院的民主制
* 逻辑中心化: CDN & BitTorrent vs Blockchain
  > 评论: 逻辑中心化的判断依据为任意切分后是否可独立运转，类似于有状态服务和无状态服务

### 去中心化的理由: ###

* 高容错
* 抗攻击
* 抗共谋

### 去中心化的思考 ###

    并非乌托邦式的理想
    但我们对其期望太高
    还需要走很长的道路
    去中心化与中心化的对立与统一 - 比特币交易所,矿池

### 参考文献 ###

* [The Meaning of Decentralization - Vitalik Buterin](https://medium.com/@VitalikButerin/the-meaning-of-decentralization-a0c92b76a274) - 2017.02.06 | [ 译文:[去中心化的真正含义](http://www.8btc.com/the-meaning-of-decentralization) ]
  > _**摘要**: 当人们在讨论软件的去中心化时，他们实际上在讨论的，是三个独立的中心化/去中心化的轴（架构，政治，逻辑）。在某些情况下很难看的清如何在没有另一个的情况下，能判定现在的这个是中心化还是去中心化的。_  
  > _**图例**:_  
  > * ![图例](http://7fvhfe.com1.z0.glb.clouddn.com/wp-content/uploads/2017/02/p11.png)
  > * ![图例](http://7fvhfe.com1.z0.glb.clouddn.com/wp-content/uploads/2017/02/p21.png)

### 其他文献 ###

* [严重中心化问题可能导致比特币大崩溃](http://opinion.caixin.com/2017-06-02/101097147.html) - 2017.06.02
  > _**摘要**: 但凡违背了自己理想和初衷的系统，它的最终发展总是存疑的。_  
  > _**图例**:_  
  > * ![图例](https://img.caixin.com/2017-06-02/1496372184636090.jpg)
  > * ![图例](https://img.caixin.com/2017-06-02/1496372228258775.jpg)
* [什么才是你所追求的去中心化?](http://www.bikeji.com/discussions/3499) - 2016.03.07
  > _**摘要**: 人类社会利已的本性无法改变的前提下，需要建立基于“人本利已”规律上的制衡，平衡机制，才能真正实现去中心化的效果。_
* [比特币生态链缺失的一环: 去中心化交易平台](http://www.8btc.com/decentralized-bitsquare) - 2016.01.25
  > _**摘要**: 我们有去中心化的货币，但却没有一个相应的去中心化的渠道用来交易它。_
* [Erik Voorhees: 比特币的去中心化是一个谎言?](http://www.8btc.com/bitcoin-truly-decentralized) - 2015.01.24  
  > _**摘要**: 我们建立在去中心化技术之上的绝大多数作品居然是中心化的。首先要弄清楚被强制的中心化和以市场为基础的中心化之间的区别。比特币是后者，而不是前者。_  
  > _**评论**: 以市场为基础的中心化也并非美好，垄断市场的中心化与被强制的中心化都有着太多的相似，而垄断市场的自然形成，在互联网时代，又几乎成为必然。_  
* [去中心化与Bitcoin系统技术实现](http://www.8btc.com/howtodecen) - 2014.05.19
  > _**评论**: 这是一篇比较全面的科普综述性文章_
