## [Hyperledger(超级账本)](https://www.hyperledger.org) ##

> _**备注**: 此章节最后更新于2017.12.19。_

### 基础概念 ###

* [项目源码 - GitHub](https://github.com/hyperledger)
* [超级账本Hyperledger白皮书（中文版）](http://8btc.com/doc-view-605.html) [在线阅读](https://mp.weixin.qq.com/s?src=11&timestamp=1513663485&ver=583&signature=JXLkEOWKeA4RILP00RDhsrbAYJ9i-SEuVrrWb5FgPSy3zcuWbb-iSPxwg6XB77gUqo1gmSjbdhz9srXUYIgmz2mP-6qp*tXx0KDomoEfrA1MuCz1vQKUAlvfkBAxrqkK) - 2016.05.19
* [超级账本Hyperledger白皮书（1.0.1版）](http://www.8btc.com/hyperledger-whitepaper) - 2016.07.18
  > _**摘要**: 本白皮书描述了区块链的行业应用案例，以推动形成新的区块链结构原理。另外，本白皮书根据这些应用案例，列出了针对区块链的基本需求和高级体系结构。_
* [最具商用价值的开源区块链项目：超级账本（1）](http://www.8btc.com/hyperledger-project-introduction-1) - 2017.01.03
  > _**评论**: **推荐** 超级账本的总体简述。_  

### 技术指导 ###

* [Hyperledger Fabric V1.0– 开发者快速入门](http://www.8btc.com/hyperledger-fabric-v1-0) - 2017.02.07
  > _**评论**: **TODO**_  
* [使用Hyperledger Composer十分钟搭建区块链概念验证环境](http://www.8btc.com/blockchain-poc-hyperledger) - 2017.07.24
  > _**评论**: **TODO**_  
* [以太坊(Ethereum)私链建立 、合约编译、部署完全教程(1)](http://www.8btc.com/ethereum-private-chain) - 2017.11.01
  > _**评论**: **TODO**_  

### 技术文献 ###

* [IBM HyperLedger fabric 简述 - (1)](http://www.8btc.com/ibm-hyperledger-fabric) - 2016.07.19
  > _**评论**: **TODO**_  
* [IBM HyperLedger PBFT（拜占庭容错）算法详解 - (2)](http://www.8btc.com/pbft) - 2016.07.19
  > _**评论**: **TODO**_  
* [Hyperledger Fabric1.0架构概览](http://www.8btc.com/hyperledger-fabric1-0) - 2017.02.06
  > _**评论**: **推荐** 介绍了Fabric0.6与1.0的差异。_  
* [Blockchain区块链架构设计之一：成员管理](http://www.8btc.com/23356616) - 2016.12.07
  > _**评论**: **TODO**_  
* [Blockchain区块链架构设计之二：分布式账本技术对比](http://www.8btc.com/23463699) - 2016.12.08
  > _**评论**: **强烈推荐** 详细的解释了 Fabric、SawtoothLake、Iroha、Corda 的异同。另外作者专栏的[其他文章](http://www.8btc.com/author/17123)也很值得一读。_  
* [Blockchain区块链架构设计之四：Fabric多通道和下一代账本设计](http://www.8btc.com/hyperledger-fabric) - 2017.01.08
  > _**评论**: **TODO**_  
* [谈谈区块链（01）: 比特币、以太坊、hyperledger技术宏观比较](http://www.8btc.com/bitcoin-hyperledger) - 2016.12.16
  > _**评论**: 简单的阐述了三种区块链的异同。不过作者的“[谈谈区块链系列](http://www.8btc.com/author/16692)”很不错，非常推荐。_  
* [谈谈区块链（18）：以太坊的UTXO](http://www.8btc.com/ethereum-utxo) - 2017.02.07
  > _**评论**: **TODO**_  
* [重构智能合约（上）：非确定性的幽灵](http://www.8btc.com/refactoring-smart-contract-part-1-the-phantom-of-non-determinism) - 2017.03.14
  > _**评论**: **TODO**_  

### 参考文献 ###

* [区块链架构与应用](http://www.8btc.com/blockchain-architecture-and-app) - 2016.11.28
  > _**评论**: **强烈推荐** 非常整体性的介绍了有关区块链的一切。从比特币到区块链，从技术原理到业务场景。入门学习，首选PPT。_  
* [“区块链+跨境支付”的风继续吹，SWIFT有必要颤抖吗？](http://www.8btc.com/swift-blockchain-2) - 2016.11.01
  > _**摘要**: Visa计划明年发布B2BConnect（使用的是Chain的产品ChainCore）的试行版本（pilot）。_  
  > _**评论**: **强烈推荐**_  
* [私链VS公链：两者可以并存吗？](http://www.8btc.com/private-and-public-blockchain-coexist) - 2016.06.15
  > _**摘要**: 一个区块链，简单的来说，是一个抗腐败的账簿，任何参与者都在同一个网络共享它。区块链有两大独特的优势：抗腐败和冗余可靠。_

### 行业应用 ###

* [Swift区块链试验再添22家银行成员，以Fabric区块链实施为试验技术基础](http://www.8btc.com/22-banks-join-swifts-cross-border-blockchain-trial) - 2017.07.07
* [Swift正式选用超级账本Fabric技术，节约30%跨境支付成本](http://www.8btc.com/swift-selects-hyperledger-tech-cross-border-blockchain-test) - 2017.04.26
  > _**摘要**: 这次项目试验的参与者包括巴黎银行、纽约梅隆银行和富国银行，以及其他三个全球金融机构。Swift将这次试验分成了两部分。首先，技术本身。Swift的Fabric概念验证正在创建利用该银行信息平台的现有GPI资源。第二部分专注于业务。在区块链实施本身的顶部，Swift开发者计划创建和运行一种能够有助于自动化转账流程的智能合约。_
* [智利最大的证券交易所将实施IBM的区块链技术](http://www.8btc.com/santiago-stock-exchange-ibm-blockchain) - 2017.05.17
  > _**摘要**: 全球科技巨头IBM在今日透露，其与圣地亚哥证券交易所合作了一个项目，该交易所将运用一种基于区块链的证券借贷解决方案。这个新工具将有助于智利的证券出借方、银行、证券交易所、机构客户以及监管机构交换信息，同时减少相关后台约40%的处理时间。_
* [超级账本（Hyperledger）区块链弹珠游戏模拟高频资产交易](http://www.8btc.com/inside-hyperledger-blockchain-marbles) - 2016.12.20
  > _**摘要**: 一旦这些数字资产被分布后，参与者便能够使用Fabric平台，通过拖动和投掷的过程来移动这些弹珠，将它们从账户中转移至其他账户，其中一位参与者戏称，这种弹珠正是区块链版的“烫手山芋”。_
* [德国中央银行联合德意志证券交易所开发出区块链原型，以超级账本项目代码为基础](http://www.8btc.com/german-central-bank-blockchain-trading) - 2016.11.29
  > _**摘要**: 该原型据说能够用于转移电子证券和‘数字货币’，还有债券支付和到期证券的赎回功能，并且以来自超级账本项目的代码为基础。_
* [沃尔玛区块链计划升级，猪肉供应链只是第一步](http://www.8btc.com/walmart-blockchain-product-supply-chains) - 2016.10.26
* [沃尔玛联合IBM和清华大学使用超级账本技术打造区块链试行项目，保障中国猪肉市场供应链](http://www.8btc.com/walmart-ibm-tsinghua-university-blockchain-pork) - 2016.10.20
  > _**摘要**: 这个试点项目，使用了超级账本（Hyperledger）项目的技术来跟踪猪肉的运输信息，包括农场来源细节、批次号以及存储温度，然后，这些信息都会记录在一个安全的区块链数据库上。_
* [IBM再发力，和日本证券公司测试区块链债券交易平台](http://www.8btc.com/ibm-sbi-blockchain-bond-trading) - 2016.10.22
  > _**摘要**: IBM和一家日本证券公司合作发起了一个新的区块链项目，旨在开发新一代债券交易系统。_
* [超级账本成立区块链医疗工作小组，接棒美国政府开发具体用例](http://www.8btc.com/hyperledger-healthcare) - 2016.10.04
  > _**摘要**: HHS曾在7月份发起“应用于医疗IT及与医疗相关的区块链研究挑战赛”，该大赛是为探索区块链技术如何可应用于医疗保健领域。具体入选的用例有去中心化的登记系统、互通性网络和身份认证、智能合约和自动化进程管理等等。_
* [瑞银推出一种超级账本区块链原型，利用智能合约将国际贸易信用证处理从7天降至1小时](http://www.8btc.com/ubs-blockchain-smart-contract-trade-finance)
  > _**摘要**: 该原型在设计上‘整体性’结合支付交易，将贸易金融交易，外汇支付等融合到一个精心制作的智能合约。通过将这个流程编写到超级账本上的一个智能合约中，预计能够将处理时间从7天降到1个小时。_
* [IBM区块链身份认证实验宣告成功，即将投入使用](http://www.8btc.com/ibm-blockchain-trial) - 2016.07.01
  > _**摘要**: 近期，IBM与法国国民互助信贷银行（Crédit Mutuel Arkéa）合作完成了一个区块链项目概念验证。该项目旨在创建一个基于区块链技术的身份认证系统。_
* [超级账本探索使用区块链技术打击假冒药品](http://www.8btc.com/hyperledger-fight-counterfeit-drug) - 2016.04.19
  > _**摘要**: 来自全球专业服务公司埃森哲咨询公司的一位代表讲到了一个使用区块链技术打击假冒药品的项目，目前该项目还处于早期阶段。_

### 行业新闻 ###

* [超级账本与Linux基金会推出免费在线区块链公开课，非技术人员和技术人员均可用](http://www.8btc.com/hyperledger-and-linux-offer-massive-open-online-blockchain-course) - 2017.10.11
  > _**摘要**: 超级账本（Hyperledger）正在推出一项新的免费大规模公开在线课程（MOOC）来满足全球快速增加的区块链教育需求。_
* [超级账本区块链联盟发布混合“锯齿以太坊”技术，智能合约开发将更加容易](http://www.8btc.com/hyperledger-blockchain-consortium) - 2017.08.23
  > _**摘要**: 今日正式宣布他们已经完成了一种叫做“锯齿以太坊（Sawtooth Ethereum）”或简称“Seth”的概念验证。这种概念验证看起来实现了在超级账本锯齿（Hyperledger Sawtooth）上——由英特尔公司提供给超级账本联盟代码库的——使用以太坊智能合约。_
* [Fabric 1.0: 超级账本联盟正式发布首个产品级区块链软件](http://www.8btc.com/fabric-1-0-hyperledger) - 2017.07.12
  > _**摘要**: 开源超级账本（Hyperledger）区块链联盟宣布其首个可用于构建应用的产品级解决方案Fabric的正式版已经发布。_
* [Linux基金会宣布开发区块链协作工具Composer，实现不同智能合约实施相互协作](http://www.8btc.com/linux-foundation-to-develop-collaboration-tool) - 2017.05.10
  > _**摘要**: 该项目旨在创建一种协作工具，用于开发区块链商业网络——或智能合约——并部署到一种分布式账本上。这是一种基于JavaScript的模型化语言，并且支持REST API，允许非开发者和开发者塑造他们自己的业务网络。这种语言还支持关系和数据验证规则建模。_
* [IBM vs 微软：两大科技巨头，两种不同的区块链战略](http://www.8btc.com/ibm-vs-microsoft) - 2017.03.28
  > _**摘要**: 微软的BaaS服务对以太坊区块链具有着偏好，其最近公布的合作创业公司都是用以太坊作为基础层，而微软本身也是企业以太坊联盟的创始成员之一。IBM的BaaS服务基于的是超级账本（Hyperledger）的Fabric代码库。_
* [万达网络首次对外公布区块链整体布局](http://www.8btc.com/wanda-blockchain-2) - 2017.03.14
  > _**摘要**: 从去年开始，万达网络从区块链社区、标准、技术以及应用四个方面开展工作并取得了一定成果。_
* [超级账本项目宣布3月底正式推出首个生产就绪的区块链——超级账本Fabric](http://www.8btc.com/hyperledger-project-fabric-blockchain) - 2017.03.06
  > _**摘要**: 超级账本Fabric将于2017年3月底正式推出。_
* [美国运通正式加入超级账本项目，全球三大信用卡巨头全部进军区块链](http://www.8btc.com/american-express-join-hyperledger) - 2017.02.06
  > _**摘要**: 支付卡巨头纷纷涉足区块链技术。_
* [中国区块链行业倍受瞩目，超级账本已组建中国技术小组](http://www.8btc.com/hyperledger-working-group-china) - 2017.01.06
  > _**摘要**: 这一工作小组每隔半年会推举三名主席负责组织管理。本轮选出的三名主席分别来自技术和硬件巨头IBM、华为（Huawei）以及大型跨国企业万达（Wanda）。_
* [超级账本成员总数正式突破100个，中国企业占四分之一（附全体成员名单](http://www.8btc.com/hyperledger-blockchain-project-passes-100-member-milestone) - 2016.12.01
  > _**摘要**: 超级账本项目（Hyperledger）这个成立只有一年左右的项目的成员总数突破100个。_
* [超级账本新项目Iroha助力其进军区块链移动应用市场](http://www.8btc.com/hyperledger-iroha) - 2016.11.02
  > _**摘要**: 该项目有望成为超级账本基础项目，是对IBM Fabric和英特尔锯齿湖（Sawtooth Lake）的补充。_
* [超级账本项目再添10位新成员，华为和诺基亚加入](http://www.8btc.com/huawei-joins-hyperledger) - 2016.10.25
  > _**摘要**: 智能手机巨头华为（Huawei）目前宣布支持超级账本（Hyperledger）区块链项目。_
* [R3区块链软件平台Corda将开源，打造全球银行业公共标准](http://www.8btc.com/corda-open-source) - 2016.10.21
  > _**摘要**: R3是世界上最大的私链联盟，其成员包括国际大型银行、科技公司和其他金融服务企业。_
* [超级账本项目掌门人的区块链策略，愿景和方向](http://www.8btc.com/hyperledger-s-executive-director-brian-behlendorf) - 2016.09.06
  > _**摘要**: 超级账本在新成员公司，新开发者以及我们所有的项目的新版本（Fabric，锯齿湖和浏览器）方面已经获得了令人印象深刻的增长，并且我们的人员配置还在不断增长。_
* [超级账本‘对外开放’政策：创建一种人人都能浏览其80个成员的区块链项目的区块链浏览器](http://www.8btc.com/hyperledger-first-blockchain-explorer) - 2016.08.17
  > _**摘要**: 超级账本目前正在创建一种开源工具，该工具可以让每一个人都能浏览其联盟成员创造的分布式账本项目。_
* [以太坊创始人Vitalik Buterin推进Hyperledger与以太坊平台的融合](http://www.8btc.com/vitalik-buterin-addresses-hyperledger) - 2016.05.03
  > _**摘要**: 以太坊创始人Vitalik Buterin今天早些时候，在超级账本（Hyperledger）技术指导委员会会议上发表讲话，讨论了如何把以太坊区块链融合进现在的代码库中，或者完全取代代码库。_
* [英特尔推出“锯齿湖”（Sawtooth Lake）区块链平台](http://www.8btc.com/intel-sawtooth) - 2016.04.08
  > _**摘要**: 双共识算法，第一种，称之为PoET（Proof of Elapsed Time），也就是‘消逝时间量证明’，它是由英特尔构建在可信执行环境的一种彩票协议。第二种，称之为‘仲裁投票’（Quorum Voting），它采用了瑞波和恒星的共识协议，用来解决需立即交易定局的需求。_
* [超级账本（Hyperledger）迎来Blockstream在内的10家新公司](http://www.8btc.com/blockstream-hyperledger) - 2016.03.30
  > _**摘要**: 由Linux基金会负责引导的开源超级账本（Hyperledger）区块链项目，日前，其迎来了10家新加入的公司，其中包括比特币协议开发公司Blockstream。_
* [超级账本（Hyperledger）技术委员会成员首度曝光](http://www.8btc.com/hyperledger-tsc) - 2016.03.14
  > _**摘要**: Hyperledger项目最近成立了一个技术指导委员会（TSC）。目前，它是由IBM开放式云首席技术官 Chris Ferris 负责带领。_
* [超级账本（hyperledger）超豪华团队成员名单揭秘，致力于制定行业标准](http://www.8btc.com/hyperledger-member) - 2016.02.10
  > _**摘要**: HyperLedger开始逐步进入实质性开发阶段，目前来看该项目也许开始会采取多条技术路线并行的方式。最终的目标会打造可以跨行业的区块链解决方案，也许会有些类似于金融行业的区块链Redhat，并且推动成为事实上的业界工业级技术标准。_
* [IBM联合银行业巨头，抛弃比特币欲打造新区块链](http://www.8btc.com/open-ledger-project) - 2015.12.17
  > _**摘要**: 来自金融和技术行业的多家巨头公司，包括IBM、英特尔、思科、伦敦证券交易集团、摩根大通、富国银行、道富银行，已加入一个名为开放式账本项目（Open Ledger Project）的集团，欲打造一个比特币区块链的替代链。_
